package configuration;

public class Config {

	private final String serverRMI = "localhost";

	private final String portRMI = "1099";

	private final String serviceRMI = "RuralHouses";
	
	private final String javaPolicyPath="java.policy";
	
	private final  String db4oFilename = "db/DBjcampos004.yap";

	//Two possible values: "open" or "initialize"
	private final String dataBaseOpenMode="initialize";

	private static Config theInstance = new Config();
   
	private Config(){}
    
	public static Config getInstance() { 
		return theInstance; 
	}

	public String getServerRMI() {
		return serverRMI; 
	}

	public String getPortRMI() { 
		return portRMI; 
	}

	public String getServiceRMI() {
		return serviceRMI;
	}

	public String getDb4oFilename() {
		return db4oFilename; 
	}

	public String getJavaPolicyPath() {
		return javaPolicyPath;
	}

	public String getDataBaseOpenMode(){
		return dataBaseOpenMode;
	}

}
